Update Dataset
PUT
https://api.woosmap.com/datasets/{dataset_id}
Updates a dataset url or name.
Rate limit: 1/1s
Ratelimit: 1/1s
Authorization
private_key
apiKey query
X-Api-Key
apiKey header
Path Parameters
dataset_id
string required
Response
Successful Response
id
string (uuid) required
name
string required
url
string
reimport_key
string
created_at
string (date-time) required
updated_at
string required
scheduled_for_deletion_after
string
Errors
401
Unable to locate credentials.
application/json
detail
string required
402
Out of free quota.
application/json
detail
string required
403
Credentials found, but not matching.
application/json
detail
string required
404
Dataset was not found
application/json
details
string required
422
Validation Error
429
Rate limit reached
application/json
details
string required
curl -L -X PUT 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY' \
-H 'content-type: application/json' \
-d '{
"name": "string",
"url": "http://example.com"
}'
const myHeaders = new Headers();
myHeaders.append("content-type", "application/json");
const raw = JSON.stringify({
"name": "string",
"url": "http://example.com"
});
const requestOptions = {
method: "PUT",
headers: myHeaders,
body: raw,
redirect: "follow"
};
fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
import requests
import json
url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY"
payload = json.dumps({
"name": "string",
"url": "http://example.com"
})
headers = {
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)